/* $Id: version.h.in,v 1.8 2006/02/05 22:53:10 jirka Exp $ */

#ifndef VERSION_H
#define VERSION_H

#define VERSION  "@VERSION@"
#define DATE     "@RELEASE_DATE@"
#define BUILD    "@BUILD_DATE@"
#define BUILDER  "@BUILDER@"

#define CONFIG_COMMAND "@NW_CONFIG_COMMAND@"
#define CONFIG_INFO    "@NW_CONFIG_INFO@"

/* version info */
#define OPTION_V
#define VERSION_OPT "V"
#define VERSION_USAGE \
    "  -V               show version.\n"            \
    "  -vV              show verbose version.\n"

#if USE_CHECKSUM_BY_DEFAULT
#define ACTIVATION "by default"
#else
#define ACTIVATION "on demand"
#endif

#if USE_CHECKSUM_MHASH
#define LIBRARY "mhash"
#elif USE_CHECKSUM_OPENSSL
#define LIBRARY "OpenSSL"
#else /* if USE_CHECKSUM_BUILT_IN */
#define LIBRARY "built-in"
#endif

#define VERSION_CASE \
    case 'V':           /* version */                                   \
        puts("netrw tools version " VERSION " (" DATE ")\n"             \
             "Copyright (C) 2002--2006 Jiri Denemark\n"                 \
             "\n"                                                       \
             "built by " BUILDER " (" BUILD ")\n"                       \
             "built-in extensions:\n"                                   \
             "  checksum (" LIBRARY "; activated " ACTIVATION "):\n"    \
             "    " CHECKSUMS_STR                                       \
            );                                                          \
        print(VERBOSE, "\nConfigure info:\n%s\n"                        \
                       "\nConfigure command:\n%s\n",                    \
                       CONFIG_INFO, CONFIG_COMMAND);                    \
        return 0;                                                       \
        break;

#endif

